PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_cpu_methods Struct Reference
SPA » Support » CPU

methods More...

`#include <spa/support/cpu.h>`

## Data Fields
uint32_t | version
uint32_t(* | get_flags )(void *object)
| get CPU flags
int(* | force_flags )(void *object, uint32_t flags)
| force CPU flags, use SPA_CPU_FORCE_AUTODETECT to autodetect CPU flags
uint32_t(* | get_count )(void *object)
| get number of CPU cores
uint32_t(* | get_max_align )(void *object)
| get maximum required alignment of data
uint32_t(* | get_vm_type )(void *object)
int(* | zero_denormals )(void *object, bool enable)

## Detailed Description

methods

## Field Documentation

## ◆ version

uint32_t spa_cpu_methods::version

## ◆ get_flags

uint32_t(* spa_cpu_methods::get_flags) (void *object)

get CPU flags

## ◆ force_flags

int(* spa_cpu_methods::force_flags) (void *object, uint32_t flags)

force CPU flags, use SPA_CPU_FORCE_AUTODETECT to autodetect CPU flags

## ◆ get_count

uint32_t(* spa_cpu_methods::get_count) (void *object)

get number of CPU cores

## ◆ get_max_align

uint32_t(* spa_cpu_methods::get_max_align) (void *object)

get maximum required alignment of data

## ◆ get_vm_type

uint32_t(* spa_cpu_methods::get_vm_type) (void *object)

## ◆ zero_denormals

int(* spa_cpu_methods::zero_denormals) (void *object, bool enable)

The documentation for this struct was generated from the following file:

- spa/support/cpu.h